# Compatibility macro
%{?!_pkgdocdir:%global _pkgdocdir %{_docdir}/%{name}}

Name:       python-copr
Version:    1.76
Release:    %mkrel 1
Summary:    Python interface for Copr

Group:      Development/Python
License:    GPLv2+
URL:        https://pagure.io/copr/copr
# Source is created by
# git clone https://pagure.io/copr/copr.git
# cd copr/python
# tito build --tgz
Source0: %{name}-%{version}.tar.gz

BuildArch:  noarch
BuildRequires: xsltproc
BuildRequires: util-linux

%description
COPR is lightweight build system. It allows you to create new project in WebUI,
and submit new builds and COPR will create yum repository from latest builds.

This package contains python interface to access Copr service. Mostly useful
for developers only.


%package -n python2-copr
Summary:        Python interface for Copr
Group:          Development/Python

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-pytest
BuildRequires: python-mock
BuildRequires: python-requests
BuildRequires: python-requests-toolbelt
BuildRequires: python-marshmallow
BuildRequires: python-six >= 1.9.0

Requires: python-setuptools
Requires: python-six >= 1.9.0
Requires: python-requests
Requires: python-requests-toolbelt
Requires: python-marshmallow

Provides: python-copr = %{version}-%{release}

%description -n python2-copr
COPR is lightweight build system. It allows you to create new project in WebUI,
and submit new builds and COPR will create yum repository from latest builds.

This package contains python interface to access Copr service. Mostly useful
for developers only.


%package -n python3-copr
Summary:        Python interface for Copr
Group:          Development/Python

BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-pytest
BuildRequires: python3-mock
BuildRequires: python3-requests
BuildRequires: python3-requests-toolbelt
BuildRequires: python3-marshmallow
BuildRequires: python3-six

Requires: python3-setuptools
Requires: python3-six
Requires: python3-requests
Requires: python3-requests-toolbelt
Requires: python3-marshmallow

%description -n python3-copr
COPR is lightweight build system. It allows you to create new project in WebUI,
and submit new builds and COPR will create yum repository from latest builds.

This package contains python interface to access Copr service. Mostly useful
for developers only.


%package doc
Summary:    Code documentation for python-copr package
Group:      Development/Python
BuildRequires: python-sphinx
BuildRequires: python-docutils

%description doc
COPR is lightweight build system. It allows you to create new project in WebUI,
and submit new builds and COPR will create yum repository from latest builds.

This package includes documentation for python-copr. Mostly useful for
developers only.

%prep
%setup -q

rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python2}|'


%build
%py2_build

pushd %{py3dir}
%py3_build
popd

mv copr/README.rst ./

# build documentation
pushd docs
make %{?_smp_mflags} html
popd

%install

%py2_install
find %{buildroot}%{python2_sitelib} -name '*.exe' | xargs rm -f

pushd %{py3dir}
%py3_install
find %{buildroot}%{python3_sitelib} -name '*.exe' | xargs rm -f
popd

#doc
install -d %{buildroot}%{_pkgdocdir}/

cp -a docs/_build/html %{buildroot}%{_pkgdocdir}/

%check
%{__python2} -m pytest copr/test

pushd %{py3dir}
%{__python3} -m pytest copr/test
popd

%files -n python2-copr
%license LICENSE
%doc README.rst
%{python2_sitelib}/*

%files -n python3-copr
%license LICENSE
%doc README.rst
%{python3_sitelib}/*

%files doc
%license LICENSE
%doc %{_pkgdocdir}



%changelog
* Sat Apr 08 2017 ngompa <ngompa> 1.76-1.mga6
+ Revision: 1096136
- Update to 1.76

* Thu Aug 18 2016 ngompa <ngompa> 1.73-1.mga6
+ Revision: 1046804
- Update to 1.73

* Tue Jun 07 2016 ngompa <ngompa> 1.70-1.mga6
+ Revision: 1020558
- Update to 1.70
  ?\226?\151?\139 Changes from 1.68
  ?\226?\151?\139- package manip implemented in Client
  ?\226?\151?\139- refactored building via url and pypi
  ?\226?\151?\139- connection error message simplified
  ?\226?\151?\139- print user-friendly error for broken config
  ?\226?\151?\139- implemented rubygems CLI support
  ?\226?\151?\139- [cli][python][frontend] support forking via CLI
  ?\226?\151?\139- added missing source_type specification for upload & url builds

* Sun May 15 2016 ngompa <ngompa> 1.68-2.mga6
+ Revision: 1015716
- imported package python-copr

